%define name	kwavecontrol
%define version	0.3
%define release 2mdk

%define __libtoolize /bin/true

Name: 	 	%{name}
Summary: 	GUI for wireless networking
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://kwavecontrol.sourceforge.net/
License:	GPL
Group:		System/Configuration/Networking
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick gettext kdebase-devel
Requires:	wireless-tools

%description
KWaveControl is a little tool for WaveLAN(TM) wireless cards based on the
wireless extensions. It works under Linux with KDE and docks into the panel.
The tray icon in the panel shows you the actual link quality. The main
window indicates information about the device, where you can also change some
of the settings if you are root.

%prep
%setup -q
perl -p -i -e 's|//opt/.kwavecontrol|/usr/share/kwavecontrol||g' kwavecontrol/options.cpp

%build
%configure
perl -p -i -e 's|//opt/.kwavecontrol|/usr/share/kwavecontrol||g' kwavecontrol/Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/
mv $RPM_BUILD_ROOT/de $RPM_BUILD_ROOT/%_datadir/locale/

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="KWaveControl" longtitle="Wireless networking GUI" section="Configuration/Networking"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING TODO README admin/ChangeLog
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applnk/Applications/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_iconsdir}/locolor/32x32/apps/*
%{_miconsdir}/%name.png

%changelog
* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Rebuild

* Wed Nov 12 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
